## org.apache.tools.ant.taskdefs.optional.ccm
Class CCMCheckin

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.ccm.Continuus
                  org.apache.tools.ant.taskdefs.optional.ccm.CCMCheck
                      org.apache.tools.ant.taskdefs.optional.ccm.CCMCheckin

public class CCMCheckin
extends CCMCheck

Performs Continuus checkin command.

Author:
  Benoit Moussaud benoit.moussaud@criltelecom.com

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ccm.CCMCheck
`FLAG_COMMENT, FLAG_TASK`

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus
`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CREATE_TASK, COMMAND_DEFAULT_TASK, COMMAND_RECONFIGURE`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CCMCheckin()`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ccm.CCMCheck
`execute, getComment, getFile, getTask, setComment, setFile, setTask`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus
`getCcmAction, getCcmCommand, run, run, setCcmAction, setCcmDir`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CCMCheckin

    public CCMCheckin()

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.